StatisticsDisabledException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: StatisticsDisabledException

Package org.apache.geode.cache

# Class StatisticsDisabledException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException
org.apache.geode.cache.StatisticsDisabledException

All Implemented Interfaces:
  `Serializable`

public class StatisticsDisabledException extends CacheRuntimeException
Thrown if statistics are requested when statistics are disabled on the region.

Since:
  GemFire 3.0
See Also:
  - `AttributesFactory.setStatisticsEnabled(boolean)`
  - `RegionAttributes.getStatisticsEnabled()`
  - `Region.getStatistics()`
  - `Region.Entry.getStatistics()`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatisticsDisabledException()`
  Creates a new instance of `StatisticsDisabledException` without detail message.
  `StatisticsDisabledException(String msg)`
  Constructs an instance of `StatisticsDisabledException` with the specified detail message.
  `StatisticsDisabledException(String msg, Throwable cause)`
  Constructs an instance of `StatisticsDisabledException` with the specified detail message and cause.
  `StatisticsDisabledException(Throwable cause)`
  Constructs an instance of `StatisticsDisabledException` with the specified cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StatisticsDisabledException

    public StatisticsDisabledException()
    Creates a new instance of `StatisticsDisabledException` without detail message.

  - ### StatisticsDisabledException

    public StatisticsDisabledException(String msg)
    Constructs an instance of `StatisticsDisabledException` with the specified detail message.
    Parameters:
      `msg` - the detail message

  - ### StatisticsDisabledException

    public StatisticsDisabledException(String msg, Throwable cause)
    Constructs an instance of `StatisticsDisabledException` with the specified detail message and cause.
    Parameters:
      `msg` - the detail message
      `cause` - the causal Throwable

  - ### StatisticsDisabledException

    public StatisticsDisabledException(Throwable cause)
    Constructs an instance of `StatisticsDisabledException` with the specified cause.
    Parameters:
      `cause` - the causal Throwable